Subject: Extensibility of response-auth in DIGEST-MD5

From: Alexey Melnikov <[email-masked]>
Date: Mon, 06 Dec 2004 16:35:47 +0000

Simon has pointed out to me that both step 1 ("digest-challenge" 
non-terminal) and step 2 ("digest-response" non-terminal) of the 
DIGEST-MD5 (currently draft-ietf-sasl-rfc2831bis-04.txt) allow for 
"auth-param", which is described as:

   auth-param
      This construct allows for future extensions; it may appear more
      than once. The client MUST ignore any unrecognized directives.

However, the "response-auth" non-terminal used in step 3 doesn't allow 
for any extensibility.
Is there a good reason for that and does anybody mind if I add 
"auth-param" to the "response-auth"?

Alexey